#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie();

    int n;
    cin>>n;
    vector<int> a(n);
    vector<int> p;
    cin>>a[0];
    for(int i=1;i<n;i++){
        cin>>a[i];
        if(a[i]<a[i-1])
            p.push_back(i);
    }

    int q,x,y;
    cin>>q;
    while(q--){
        cin>>x>>y;
        if(lower_bound(p.begin(),p.end(),y)-lower_bound(p.begin(),p.end(),x)>1)
            cout<<"NE"<<endl;
        else
            cout<<"DA"<<endl;
    }

    return 0;
}